package com.hnsensor.api.ys;

import com.alibaba.fastjson2.JSONObject;
import com.hnsensor.api.ys.enums.ApiEnum;
import com.hnsensor.api.ys.enums.Domain;
import com.hnsensor.api.ys.model.ApiResponse;
import com.hnsensor.api.ys.model.LiveAddressDisable;
import com.hnsensor.api.ys.model.LiveAddressGet;
import com.hnsensor.api.ys.utils.RequestUtil;
import lombok.extern.slf4j.Slf4j;

/**
 * LiveApi
 *
 * @author Frank
 */
@Slf4j
public class LiveApi {
    private LiveApi() {
    }

    /**
     * 获取播放地址
     *
     * @param params {@link LiveAddressGet}
     * @return {@link ApiResponse}
     */
    public static ApiResponse liveAddressGet(LiveAddressGet params) {
        String result = RequestUtil.doPostForm(Domain.MAIN.getUrl(ApiEnum.LIVE_ADDRESS_GET), params.toMap());
        return JSONObject.parseObject(result, ApiResponse.class);
    }

    /**
     * 失效播放地址
     *
     * @param params {@link LiveAddressDisable}
     * @return {@link ApiResponse}
     */
    public static ApiResponse liveAddressDisable(LiveAddressDisable params) {
        String result = RequestUtil.doPostForm(Domain.MAIN.getUrl(ApiEnum.LIVE_ADDRESS_DISABLE), params.toMap());
        return JSONObject.parseObject(result, ApiResponse.class);
    }


}
