package com.hnsensor.api.ys.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * ApiEnum
 *
 * @author Frank
 */
@Getter
@RequiredArgsConstructor
public enum ApiEnum {


    /**
     * 获取token
     */
    GET_TOKEN("/api/lapp/token/get"),

    


    // 云直播 相关API
    /**
     * 获取播放地址
     */
    LIVE_ADDRESS_GET("/api/lapp/v2/live/address/get"),

    /**
     * 失效播放地址
     */
    LIVE_ADDRESS_DISABLE("/api/lapp/v2/live/address/disable"),

    /**
     * 根据时间获取存储文件信息
     */
    VIDEO_BY_TIME("/api/lapp/video/by/time"),

    /**
     * 查询设备本地录像
     */
    LOCAL_VIDEO_QUERY("/api/v3/das/device/local/video/query"),

    /**
     * 设备视频编码格式设置/查询
     */
    DEVICE_VIDEO_ENCODE("/api/v3/das/device/video/encode"),

    /**
     * 查询账号下流量消耗汇总
     */
    TRAFFIC_USER_TOTAL("/api/lapp/traffic/user/total"),

    /**
     * 查询账户下流量消耗详情
     */
    TRAFFIC_USER_DETAIL("/api/lapp/traffic/user/detail"),

    /**
     * 查询账户下某天流量消耗详情
     */
    TRAFFIC_DAY_DETAIL("/api/lapp/traffic/day/detail"),

    /**
     * 查询指定设备在某一时间段消耗流量数据
     */
    TRAFFIC_DEVICE_DETAIL("/api/lapp/traffic/device/detail"),


    ;


    private final String path;

}
