package com.hnsensor.api.ys.model;

import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * LiveAddressDisable
 *
 * @author Frank
 */
@Data
@Builder
@EqualsAndHashCode(callSuper = true)
public class LiveAddressDisable extends BaseModel {
    private static final long serialVersionUID = -4754239742896616627L;

    /**
     * 授权过程获取的access_token
     */
    private String accessToken;

    /**
     * 设备序列号例如427734222，均采用英文符号，限制最多50个字符
     */
    private String deviceSerial;

    /**
     * 通道号，非必选，默认为1
     */
    private Integer channelNo;

    /**
     * 直播地址Id
     */
    private String urlId;

}
