package com.hnsensor.api.ys.model;

import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * LiveAddressGet
 *
 * @author Frank
 */
@Data
@Builder
@EqualsAndHashCode(callSuper = true)
public class LiveAddressGet extends BaseModel {
    private static final long serialVersionUID = 79258212966898162L;

    /**
     * 授权过程获取的access_token
     */
    private String accessToken;

    /**
     * 设备序列号例如427734222，均采用英文符号，限制最多50个字符
     */
    private String deviceSerial;

    /**
     * 通道号，非必选，默认为1
     */
    private Integer channelNo;

    /**
     * 流播放协议，1-ezopen、2-hls、3-rtmp、4-flv，默认为1
     */
    private Integer protocol;

    /**
     * ezopen协议地址的设备的视频加密密码
     */
    private String code;

    /**
     * 过期时长，单位秒；针对hls/rtmp/flv设置有效期，相对时间；30秒-720天
     */
    private Integer expireTime;

    /**
     * 地址的类型，1-预览，2-本地录像回放，3-云存储录像回放，非必选，默认为1；回放仅支持rtmp、ezopen、flv协议
     */
    private String type;

    /**
     * 视频清晰度，1-高清（主码流）、2-流畅（子码流）
     */
    private Integer quality;

    /**
     * 本地录像/云存储录像回放开始时间,云存储开始结束时间必须在同一天，示例：2019-12-01 00:00:00
     */
    private String startTime;

    /**
     * 本地录像/云存储录像回放结束时间,云存储开始结束时间必须在同一天，示例：2019-12-01 23:59:59
     */
    private String stopTime;

    /**
     * 请判断播放端是否要求播放视频为H265编码格式,1表示需要，0表示不要求
     */
    private Integer supportH265;

    /**
     * 回放倍速。倍速为 -1（ 支持的最大倍速）、0.5、1、2、4、8、16；
     * 仅支持protocol为4-flv 且 type为2-本地录像回放（ 部分设备可能不支持16倍速） 或者 3-云存储录像回放
     */
    private String playbackSpeed;

    /**
     * 国标设备的通道编号，视频通道编号ID
     */
    private String gbchannel;


}
